// Copyright (c) 2020-2021 Navibyte (https://navibyte.com). All rights reserved.
// Use of this source code is governed by a “BSD-3-Clause”-style license that is
// specified in the LICENSE file.
//
// Docs: https://github.com/navibyte/geospatial

/// Geospatial data structures (features, geometry and metadata) and parsers.
///
/// Usage: import `package:geocore/geocore.dart`
library geocore;

// Export mini-libraries forming the whole "geocore" library.
export 'base.dart';
export 'crs.dart';
export 'feature.dart';
export 'geo.dart';
export 'meta_extent.dart';
export 'parse_factory.dart';
export 'parse_geojson.dart';
export 'parse_wkt.dart';
